package com.gic.udesk.utils.field;
/**
 * 发现版本字段字典数据
 * @ClassName: VersionReport3Enum 
 * @Description:  
 * @author guojuxing 
 * @date 2020/5/21 10:23 AM 
 */
public enum VersionReport3Enum {
    MEMBER_3("0", "3.0_生产_会员"),
    ENTERPRISE_3("1", "3.0_生产_企业"),
    GOODS_3("7", "3.0_生产_商品"),
    MARKETING_E("3", "3.0_生产_营销"),
    MALL_3("2", "3.0_生产_商城"),
    OPERATION_3("4", "3.0_生产_运维"),
    DATA_3("5", "3.0_生产_数据"),
    MOBILE_3("6", "3.0_生产_移动"),
    WM_MALL_3("8", "3.0_生产_微盟商城");

    private String code;
    private String message;

    private VersionReport3Enum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public static String getMessage(String code) {
        for (VersionReport3Enum versionReportEnum : values()) {
            if (versionReportEnum.getCode().equals(code)) {
                return versionReportEnum.getMessage();
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
